package org.maachang.dao ;

/**
 * 楽観的ロック例外.
 *
 * @version 2008/05/11
 * @author  masahito suzuki
 * @since MaachangDao 1.07
 */
public class OptimisticLockException extends MaachangDaoException {
    private static final long serialVersionUID = 4326422624509864527L;
    
    /**
     * コンストラクタ.
     */
    public OptimisticLockException() {
        super() ;
    }
    
    /**
     * コンストラクタ.
     * @param message
     */
    public OptimisticLockException( String message ) {
        super( message ) ;
    }
    /**
     * コンストラクタ.
     * <BR><BR>
     * @param e Exception.
     */
    public OptimisticLockException( Exception e ) {
        super( e ) ;
    }
}

